﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MainMenuHandler : MonoBehaviour
{
    public GameObject PreviousMenu;
    private GameObject[] menuHeaders;
    public GameObject StartingMenu;

	// Use this for initialization
	void Start ()
    {
        menuHeaders = GameObject.FindGameObjectsWithTag("MenuHeader");
        Debug.Log(menuHeaders.Length);

        //Turn off all menus
        foreach (GameObject mh in menuHeaders)
        {
            if (mh != StartingMenu)
            {
                mh.SetActive(false);
            }
        }
    }
	
	// Update is called once per frame
	void Update ()
    {
		
	}

    public void GetCurrentMenu()
    {
        foreach (GameObject mh in menuHeaders)
        {
            if(mh.activeSelf == true)
            {
                PreviousMenu = mh;
            }
        }
    }

    public void RestorePreviousMenu()
    {
        PreviousMenu.SetActive(true);
    }
}